MongoCursor::limit
MongoCursor::partial
MongoCursor
PHP Manual

# MongoCursor::next

(PECL mongo >=0.9.0)

MongoCursor::next — Advances the cursor to the next result

### Description

public void MongoCursor::next ( void )

### Parameters

This function has no parameters.

### Return Values

`NULL`.

### Errors/Exceptions

Throws MongoConnectionException if it cannot reach the database and MongoCursorTimeoutException if the timeout is exceeded.

MongoCursor::limit
MongoCursor::partial
MongoCursor
PHP Manual